org.hibernate.search.elasticsearch.gson.impl

## Class DefaultGsonProvider

- java.lang.Object
- - org.hibernate.search.elasticsearch.gson.impl.DefaultGsonProvider

- All Implemented Interfaces:
    GsonProvider

      public class DefaultGsonProvider
      extends Object
      implements GsonProvider

  Author:
    Guillaume Smet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ELASTIC_SEARCH_DATE_FORMAT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GsonProvider` | `create(Supplier<com.google.gson.GsonBuilder> builderBaseSupplier, boolean logPrettyPrinting)`
    `com.google.gson.Gson` | `getGson()`
    `com.google.gson.Gson` | `getGsonNoSerializeNulls()`
    `JsonLogHelper` | `getLogHelper()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELASTIC_SEARCH_DATE_FORMAT

          protected static final String ELASTIC_SEARCH_DATE_FORMAT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          public static GsonProvider create(Supplier<com.google.gson.GsonBuilder> builderBaseSupplier,
                                            boolean logPrettyPrinting)

    - #### getGson

          public com.google.gson.Gson getGson()

      Specified by:
        `getGson` in interface `GsonProvider`

    - #### getGsonNoSerializeNulls

          public com.google.gson.Gson getGsonNoSerializeNulls()

      Specified by:
        `getGsonNoSerializeNulls` in interface `GsonProvider`
      Returns:
        Same as `GsonProvider.getGson()`, but with null serialization turned off.

    - #### getLogHelper

          public JsonLogHelper getLogHelper()

      Specified by:
        `getLogHelper` in interface `GsonProvider`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved